<template>
    <div class="g-block size-25">
        <div class="g-content item__wrapper">
            <router-link :to="{path: `/item/${item.id}`}">
                <img class="item__image" :src="item.image" alt="">
                <p class="item__name">{{ item.name }}</p>
                <p class="item__price">{{item.currencySymbol}}{{ item.price }}</p>
                <p class="item__category">Category: {{ item.category }}</p>
                <p class="item__color">Color: {{ item.color }}</p>
            </router-link>
            <AddToCartButton :item="item"></AddToCartButton>
        </div>
    </div>
</template>

<script>
import AddToCartButton from "../AddToCartButton";

export default {
  components: {
    AddToCartButton
  },
  name: "Item",
  props: {
    item: Object
  }
};
</script>

<style>
.item__name,
.item__price {
  font-size: 1rem;
  font-weight: bold;
}
</style>
